Get the current equipment config associated with this shipment

SecurityAuthToken
Request
path Parameters
shipmentId
required
string <uuid>

The id of the shipment

Responses
200

Successfully returned an equipment Config

Response Schema: application/json
object (Carrier)
created_at
string or null <date-time>
object (Driver)
driver_pin
integer or null <int32>
id
string or null <uuid>
object (PowerUnit)
shares_tracking_resource
boolean or null

Whether the attached power unit or driver is already on another non-terminal shipment. Available on both /shipments/{shipmentId}/equipment-config/ and /shipments/{shipmentId}/carrier-config/; when true, the frontend opens the scheduling modal and fetches GET /shipments/{shipmentId}/tracking-schedule/.

object (Trailer)
updated_at
string or null <date-time>
default

Default error response

get/shipments/{shipmentId}/equipment-config/
Request samples
Response samples
application/json
{
  • "carrier": {
    },
  • "created_at": "2019-08-24T14:15:22Z",
  • "driver": {
    },
  • "driver_pin": 0,
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "power_unit": {
    },
  • "shares_tracking_resource": true,
  • "trailer": {
    },
  • "updated_at": "2019-08-24T14:15:22Z"
}
Copyright © Shipwell 2025. All right reserved.